package com.lqkj.link.module.audit.domain;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.v3.oas.annotations.media.Schema;
import jakarta.persistence.*;
import lombok.AllArgsConstructor;
import lombok.Getter;
import lombok.NoArgsConstructor;
import lombok.Setter;

import java.util.Date;

@Entity
@Table(name = "audit_record")
@Getter
@Setter
@NoArgsConstructor
@AllArgsConstructor
public class AuditRecord {
    @Id
    @Column(name = "record_id")
    @GeneratedValue(strategy = GenerationType.IDENTITY)
    @Schema(description = "审核记录ID")
    private Integer recordId;
    @Column(name = "zone_id")
    @Schema(description = "区域/作品ID")
    private Integer zoneId;
    @Column(name = "user_id")
    @Schema(description = "审核员用户ID")
    private Integer userId;
    @Column(name = "auth_status")
    @Schema(description = "审核状态，1待审，2通过，3拒绝，4删除，5撤销")
    private Integer authStatus;
    @Column(name = "apply_time")
    @JsonFormat(pattern = "YYYY-MM-dd HH:mm:ss", timezone = "Asia/Shanghai")
    @Schema(description = "申请审核时间")
    private Date applyTime;
    @Column(name = "auth_time")
    @JsonFormat(pattern = "YYYY-MM-dd HH:mm:ss", timezone = "Asia/Shanghai")
    @Schema(description = "审核时间")
    private Date authTime;
    @Column(name = "delete_status")
    private Boolean deleteStatus;
    @Column(name = "delete_time")
    @JsonFormat(pattern = "YYYY-MM-dd HH:mm:ss", timezone = "Asia/Shanghai")
    private Date deleteTime;
}
