package com.lqkj.link.module.bulletin.domain;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.v3.oas.annotations.media.Schema;
import jakarta.persistence.*;
import lombok.AllArgsConstructor;
import lombok.Getter;
import lombok.NoArgsConstructor;
import lombok.Setter;

import java.util.Date;

@Entity
@Table(name = "notice_info")
@Getter
@Setter
@NoArgsConstructor
@AllArgsConstructor
public class NoticeInfo {
    @Id
    @GeneratedValue(strategy = GenerationType.IDENTITY)
    @Column(name = "info_id")
    @Schema(description = "信息ID")
    private Integer infoId;
    @Column(name = "bulletin_id")
    @Schema(description = "系统公告ID")
    private Integer bulletinId;
    @Column(name = "content")
    @Schema(description = "信息内容")
    private String content;
    @Column(name = "create_time")
    @JsonFormat(pattern = "YYYY-MM-dd HH:mm:ss", timezone = "Asia/Shanghai")
    @Schema(description = "创建时间")
    private Date createTime;
    @Column(name = "user_id")
    @Schema(description = "接收用户ID")
    private Integer userId;
    @Column(name = "has_view")
    @Schema(description = "是否已查看")
    private Boolean hasView;
    @Column(name = "view_time")
    @JsonFormat(pattern = "YYYY-MM-dd HH:mm:ss", timezone = "Asia/Shanghai")
    @Schema(description = "查看时间")
    private Date viewTime;
    @Column(name = "type")
    @Schema(description = "信息类型，1更新日志，2系统公告，3审核通知，4分享通知")
    private Integer type;

    @Column(name = "zone_id")
    @Schema(description = "作品id")
    private Integer zoneId;

    @Transient
    private Integer authStatus;

}
