package com.lqkj.link.module.bulletin.service;

import com.lqkj.link.module.bulletin.domain.NoticeInfo;
import com.lqkj.link.module.bulletin.repository.NoticeInfoRepository;
import com.lqkj.link.module.zone.domain.ZoneInfo;
import com.lqkj.link.module.zone.repository.ZoneInfoRepository;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.transaction.annotation.Transactional;
import org.springframework.stereotype.Service;

import java.util.List;

@Service
public class NoticeInfoService {
    private final NoticeInfoRepository noticeInfoRepository;

    @Autowired
    private ZoneInfoRepository zoneInfoRepository;

    public NoticeInfoService(NoticeInfoRepository noticeInfoRepository) {
        this.noticeInfoRepository = noticeInfoRepository;
    }

    public List<NoticeInfo> queryList(String userCode) {
        List<NoticeInfo> noticeInfos = noticeInfoRepository.queryWithUserCode(userCode);
        noticeInfos.stream().forEach(noticeInfo -> {
            if (noticeInfo.getType() == 4) {
                ZoneInfo zoneInfo = zoneInfoRepository.findById(noticeInfo.getZoneId()).get();
                noticeInfo.setAuthStatus(zoneInfo.getAuthStatus());
            }
        });
        return noticeInfos;
    }

    @Transactional
    public void view(Integer infoId) {
        noticeInfoRepository.view(infoId);
    }
}
