package com.lqkj.link.module.zone.controller;

import com.lqkj.link.message.MessageBean;
import com.lqkj.link.module.zone.service.LikesInfoService;
import io.swagger.v3.oas.annotations.Parameter;
import io.swagger.v3.oas.annotations.tags.Tag;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

@RestController
@RequestMapping("/likes")
@Tag(name = "点赞", description = "点赞")
public class LikesInfoController {

    @Autowired
    private LikesInfoService likesInfoService;

    /**
     * 作品点赞
     *
     * @param zoneId
     * @param userCode
     * @return
     */
    @PostMapping("/save")
    public MessageBean save(@Parameter(name = "zoneId", description = "作品ID") Integer zoneId,
                           @Parameter(name = "userCode", description = "用户ID") Integer userCode,
                            @Parameter(name = "isLike", description = "是否点赞") Boolean isLike) {
        likesInfoService.save(zoneId, userCode, isLike);
        return MessageBean.ok(null, "点赞/取消点赞成功");
    }


}
